*** TAX AND BENEFIT PARAMETERS***
*** This file is for SILC 2011 edition which reports incomes for 2010. 
*** Enters tax and benefit parameters for alternative tax regimes
*** suffixes (c, z, 1, 2 etc) indicate a tax regime
*** Tax paramters for regimes c, z were in force in 2010 (data collections)



capture program drop parameters
program parameters
	args z 


**** _`z' ****
**** tax parameters that are legislated for 2015 via the JIM Act, as of August 2015
scalar dmygross_`z' = 1 // dummy whether the income tax base is the gross or super-gross wage (1=gross, 0 = supergross)
scalar dmyannualbase_`z'  = 0 // dummy whether the ss and health insurance minimum base is based on annual or monthly income
scalar dmywagebilltax_`z'  = 1 // dummy whether the total wage bill tax or the standard ss and health insurance paid by employer is in place
scalar dmyscharge_`z' = 1 // dummy whether the special income tax surcharge applies
scalar mwage_`z' = 8000  // minimum wage
scalar awage_`z' = 25884 // average wage in the economy (for 2015 only presumed by the legislation ??)
scalar ssee_`z' = 0.065 // social security paid by employee
scalar sser_`z' = 0.25  // social security paid by employer													
scalar ssed_`z' = 0.065 // social security paid by self-employed
scalar tbassed_`z' = 1 // tax base coefficient for social security paid by self-employed
scalar minssed_bm_`z' = 1.2*12*awage_`z' // minimum base for social security paid by self-employed, main business
scalar minssed_bs_`z' = 0.5*12*awage_`z' // minimum base for social security paid by self-employed, secondary business
scalar maxssed_`z' = 1242432 // maximum base social security paid by self-employed 
scalar minssee_`z' = 30000 // minimum base for social security insurance to be paid by employee
scalar maxssee_`z' = 1242432 // maximum base social security paid by employee
scalar minsser_`z' = 30000 // minimum base for social security insurance to be paid by employer
scalar maxsser_`z' = 100000000 // maximum base for social security paid by employer - the ceiling applies to the average wage in the firm, which (absent evasion) no firm practically has
scalar healthee_`z' = 0.065 // health insurance paid by employee
scalar healther_`z' = 0.07 // health insurance paid by employer
scalar healthed_`z' = 0.065 // health insurance paid by self-employed
scalar minhealthed_`z' = 12*awage_`z' // minimum basefor health insurance paid by self-employed
scalar maxhealthed_`z' = 100000000 // maximum base for health insurance paid by self-employed - no ceiling, hence set to 100,000,000
scalar minhealthee_`z' = 12*mwage_`z' // minimum base for health insurance paid by employee
scalar maxhealthee_`z' = 100000000 // maximum base for health insurance paid by employee - there's no ceiling, hence set to 100,000,000 
scalar maxhealther_`z' = 100000000 // maximum base for health insurance paid by employer - the ceiling applies to the average wage in the firm, which (absent evasion) no firm practically has
scalar taxr1_`z' = 0.19 // income tax rate, bracket 0-1
scalar taxr2_`z' = 0.19 // inome tax rate, bracket 1-2
scalar taxr3_`z' = 0.19 // income tax rate, bracket 2-3
scalar taxr4_`z' = 0.19 // income tax rate, bracket 3 - up
scalar brkt1_`z' = 112300 // income tax bracket 1 (under a flat tax, brackets kept at pre-flat tax values
scalar brkt2_`z' = 218400 //  income tax bracket 2
scalar brkt3_`z' = 331200 // income tax bracket 3
scalar taxscharge_`z' = 0.07 // special income tax surcharge, applies to GROSS income above the surcharge bracket
scalar brktscharge_`z' = 1242432  // bracket for GROSS income beyond which the special surcharge applies
scalar pex_`z' = 24840 // tax credit per taxpayer (in 2011 - lowered by 1200)
scalar spex_`z' = 24840 // tax credit per spouse
scalar stex_`z' = 4020 // tax credit for student taxpayer
scalar chex_`z' = 13404 // tax credit per child aged <18
scalar chexst_`z' = 13404 // tax credit per child aged 18-26 who is studying
scalar pztpex_`z' = 16140 //tax credit for taxpayer with ZTP/P card (in addition to standard taxpayer tax credit, and possibly in addition to disability pension tax credit)
scalar sztpex_`z' = 24840 //tax credit for spouse with ZTP/P card (in addition to 24820, so in total 49680)
scalar chztpex_`z' = 13404 //tax credit for child with ZTP/P card (in addition to 13404, so in total 23208)
scalar pinv12ex_`z' = 2520 //tax credit for taxpayer with disability pension of the first or second degree (in addition to standard taxpayer tax credit, and possibly in addition to ZTP/P tax credit)
scalar pinv3ex_`z' = 5040 //tax credit for taxpayer with disability pension of the third degree (in addition to standard taxpayer tax credit, and possibly in addition to ZTP/P tax credit)
scalar p_limit_`z' = 1242432 // tax credit per taxpayer limit (the taxpayer must earn less than this)
scalar sp_limit_`z' = 68000 // tax credit per spouse limit (spouse must earn less than this)
scalar maxtbon_`z' = 60300 // maximum tax bonus
scalar mintbon_`z' = 100 // minimum tax bonues
scalar floortbon_`z' = 48000 // minimum earned income required to be eligible for the tax bonus 
scalar mintpaid_`z' = 200 // minimum tax paid
scalar maxiw_`z' = 120000 // maximum informal work income for preferred tax status (DPP), annual equivalent
scalar mortg_cap_`z' = 80000 // cap on mortgage interest deduction

scalar duchvekm_`z' = 62.5	// retirement age men - this one is for 2013, but we do not want to mix it with the reform
scalar duchvekz_`z' = 59.3	// retirement age women - this one is for 2013, but we do not want to mix it with the reform




**** BENEFIT PARAMETERS *****
*** ben parameters as they should exist from Jan 2015 (suffix "5") (based on already passed or proposed legislation)
*** same as 5, just to complement the 5d set of parameters

scalar mls_onep_`z' 		= 3410 * 12 // minimum living standard - one-person household
scalar mls_1adult_`z' 	= 3140 * 12 // minimum living standard - first adult in a household
scalar mls_2adult_`z' 	= 2830 * 12 // minimum living standard - second adult in a household
scalar mls_5child_`z' 	= 1740 * 12 // minimum living standard - child up to age 5
scalar mls_6_14child_`z' 	= 2140 * 12 // minimum living standard - child aged 6-15
scalar mls_15_25child_`z' = 2450 * 12 // minimum living standard - child aged 16-26
scalar ex_min_`z' 		= 2200 * 12 // existence minimum

scalar ch_all_5ch_`z' 	= 500 * 12 // child allowance yearly amount - per a child up to age 5
scalar ch_all6_14ch_`z' 	= 610 * 12 // child allowance yearly amount - per a child aged 6-15
scalar ch_all15_25ch_`z' 	= 700 * 12 // child allowance yearly amount - per a child aged 16-26
scalar ch_all_elig_`z' 	= 2.4 // child allowance eligibility income coefficient

scalar hous_ben_coef_Pr_`z' 	= 0.35 // housing beneit eligibility income coefficient - Prague
scalar hous_ben_coef_`z'  	= 0.3 // housing beneit eligibility income coefficient - not Prague

scalar mat_ben_1rb_`z' 	= 863 // first reduction base for calculating assessment base for maternity benefit
scalar mat_ben_2rb_`z' 	= 1295 // second reduction base for calculating assessment base for maternity benefit
scalar mat_ben_3rb_`z' 	= 2589	// third reduction base for calculating assessment base for maternity benefit

scalar mat_ben_1rc_`z' 	= 0.6 // first reduction coefficient for calculating assessment base for maternity benefit
scalar mat_ben_2rc_`z' 	= 0.3 // second reduction coefficient for calculating assessment base for maternity benefit

scalar mat_ben_1dur_`z' 	= 28  // maternity benefit duration in weeks for 1 child
scalar mat_ben_2dur_`z' 	= 37  // maternity benefit duration in weeks for multiple births
scalar mat_ben_coef_`z' 	= 0.7 // maternity benefit coefficient

scalar brth_gr_frstch_`z' 	= 1 // maternity benefit only for first child since 2011, but in 2010 it was also for second and following children!!
scalar b_gr_elig_`z' 		= 2.4 // birth grant eligibility income coefficient
scalar b_gr_1ch_`z' 		= 13000 // birth grant amount for one child
scalar b_gr_twins_`z' 		= 19500 // birth grant amount for twins
scalar b_gr_tripl_`z' 		= 19500 // birth grant amount for triplets or more

scalar liv_all_coef_Pr_`z' = 0.35 // housing beneit eligibility income coefficient - Prague
scalar liv_all_coef_`z' 		= 0.3 // housing beneit eligibility income coefficient - not Prague


* socially respectable cost of living (normative housing cost) - monthly level (Zakon statni socialni podpora do 31.12.2012)
* this is a variable instead of being a scalar, because it differs by individual characteristics
capture g rent = 0
replace rent = 1 if byt==4 | byt==5
capture g norm_naklady_`z' = 0
replace norm_naklady_`z' = 7489  if osob==1 & typ==1 & rent==1
replace norm_naklady_`z' = 5964  if osob==1 & typ!=1 & rent==1 & vel==9
replace norm_naklady_`z' = 5687  if osob==1 & typ!=1 & rent==1 & vel==8
replace norm_naklady_`z' = 4858  if osob==1 & typ!=1 & rent==1 & vel==7
replace norm_naklady_`z' = 4665  if osob==1 & typ!=1 & rent==1 & vel<7
replace norm_naklady_`z' = 10750  if osob==2 & typ==1 & rent==1
replace norm_naklady_`z' = 8663  if osob==2 & typ!=1 & rent==1 & vel==9
replace norm_naklady_`z' = 8284  if osob==2 & typ!=1 & rent==1 & vel==8
replace norm_naklady_`z' = 7150  if osob==2 & typ!=1 & rent==1 & vel==7
replace norm_naklady_`z' = 6886  if osob==2 & typ!=1 & rent==1 & vel<7
replace norm_naklady_`z' = 14637 if osob==3 & typ==1 & rent==1
replace norm_naklady_`z' = 11908 if osob==3 & typ!=1 & rent==1 & vel==9
replace norm_naklady_`z' = 11412  if osob==3 & typ!=1 & rent==1 & vel==8
replace norm_naklady_`z' = 9929  if osob==3 & typ!=1 & rent==1 & vel==7
replace norm_naklady_`z' = 9584  if osob==3 & typ!=1 & rent==1 & vel<7
replace norm_naklady_`z' = 18307 if osob>3 & typ==1 & rent==1
replace norm_naklady_`z' = 15017 if osob>3 & typ!=1 & rent==1 & vel==9
replace norm_naklady_`z' = 14419 if osob>3 & typ!=1 & rent==1 & vel==8
replace norm_naklady_`z' = 12631 if osob>3 & typ!=1 & rent==1 & vel==7
replace norm_naklady_`z' = 12214 if osob>3 & typ!=1 & rent==1 & vel<7
replace norm_naklady_`z' = 4396  if osob==1 & rent==0
replace norm_naklady_`z' = 6557  if osob==2 & rent==0
replace norm_naklady_`z' = 9131  if osob==3 & rent==0
replace norm_naklady_`z' = 11615  if osob>3  & rent==0

end

