*** TAX AND BENEFIT PARAMETERS***
*** This file is for SILC 2011 edition which reports incomes for 2010. 
*** Enters tax and benefit parameters for alternative tax regimes
*** suffixes (c, z, 1, 2 etc) indicate a tax regime
*** Tax paramters for regimes c, z were in force in 2010 (data collections)


* Define the program
capture program drop parameters
program parameters
	args z 

	
**** _`z' *****
**** tax parameters as they existed at the time of data collection (2010) (hence suffix "c" for collection)
/* this is used  for recovery of incomes and taxes based on the data provided */
scalar dmygross_`z' 		= 0 // dummy whether the income tax base is the gross or super-gross wage (1=gross, 0 = supergross)
scalar dmyannualbase_`z' 	= 0 // dummy whether the ss and health insurance minimum base is based on annual or monthly income
scalar dmywagebilltax_`z' = 0 // dummy whether the total wage bill tax or the standard ss and health insurance paid by employer is in place
scalar dmyscharge_c		= 0 // dummy whether the special income tax surcharge applies
scalar mwage_`z' = 8000  // minimum wage
scalar awage_`z' = 23709 // average wage in the economy
scalar ssee_`z' = 0.065 // social security paid by employee
scalar sser_`z' = 0.25  // social security paid by employer	
scalar ssed_`z' = 0.292 // social security paid by self-employed	
scalar tbassed_`z' = 0.5 // tax base fraction for social security paid by self-employed
scalar minssed_bm_`z' = 0.25*12*awage_`z' // minimum social security floor for self-employed (main business)
scalar minssed_bs_`z' = 0.10*12*awage_`z' // minimum social security floor for self-employed (secondary business)
scalar maxssed_`z' = 1707048 // maximum social security cap for self-employed
scalar minssee_`z' = 30000 // minimum base for social security insurance to be paid by employee
scalar maxssee_`z' = 1707048 // maximum social security cap for employee
scalar minsser_`z' = 30000 // minimum base for social security insurance to be paid by employer
scalar maxsser_`z' = 1707048 // maximum social security cap for employer
scalar healthee_`z' = 0.045 // health insurance paid by employee
scalar healther_`z' = 0.09 // health insurance paid by employer
scalar healthed_`z' = 0.135 // health insurance paid by self-employed
scalar minhealthed_`z' = 142254 // minimum BASE for health insurance paid by self-employed - vypocet na zaklade minimalni mzdy 
scalar maxhealthed_`z' = 1707048 // maximum BASE for health insurance paid by self-employed
scalar minhealthee_`z' = 12*mwage_`z' // minimum BASE for health insurance paid by employee
scalar maxhealthee_`z' = 1707048 // maximum BASE for health insurance paid by employee 
scalar maxhealther_`z' = 1707048 // maximum BASE for health insurance paid by employee
scalar taxr1_`z' = 0.15 // income tax rate, bracket 0-1
scalar taxr2_`z' = 0.15 // inome tax rate, bracket 1-2
scalar taxr3_`z' = 0.15 // income tax rate, bracket 2-3
scalar taxr4_`z' = 0.15 // income tax rate, bracket 3 - up 
scalar brkt1_`z' = 112300 // income tax bracket 1; for the years with a flat tax, we keep the pre-flat tax values
scalar brkt2_`z' = 218400 // income tax bracket 2
scalar brkt3_`z' = 331200 // income tax bracket 3
scalar pex_`z' = 24840 // tax credit per taxpayer
scalar spex_`z' = 24840 // tax credit per spouse
scalar stex_`z' = 4020 // tax credit for student taxpayer
scalar chex_`z' = 11604 // tax credit per child aged <18
scalar chexst_`z' = 11604 // tax credit per child aged 18-26 who is studying
scalar pztpex_`z' = 16140 //tax credit for taxpayer with ZTP/P card (in addition to standard taxpayer tax credit, and possibly in addition to disability pension tax credit)
scalar sztpex_`z' = 24840 //tax credit for spouse with ZTP/P card (in addition to 24820, so in total 49680)
scalar chztpex_`z' = 11604 //tax credit for child with ZTP/P card (in addition to 11604, so in total 23208)
scalar pinv12ex_`z' = 2520 //tax credit for taxpayer with disability pension of the first or second degree (in addition to standard taxpayer tax credit, and possibly in addition to ZTP/P tax credit)
scalar pinv3ex_`z' = 5040 //tax credit for taxpayer with disability pension of the third degree (in addition to standard taxpayer tax credit, and possibly in addition to ZTP/P tax credit)
scalar p_limit_`z' = 100000000 // tax credit per taxpayer limit (the taxpayer must earn less than this) - not aplicable, hence set to 100,000,000
scalar sp_limit_`z' = 68000 // tax credit per spouse limit (spouse must earn less than this)
scalar maxtbon_`z' = 52200 // maximum tax bonus
scalar mintbon_`z' = 100 // minimum tax bonues
scalar floortbon_`z' = 48000 // minimum earned income required to be eligible for the tax bonus 
scalar mintpaid_`z' = 200 // minimum tax paid
scalar maxiw_`z' = 150000 // maximum informal work income for preferred tax status (DPP), annual equivalent
scalar mortg_cap_`z' = 300000 // cap on mortgage interest deduction

scalar duchvekm_`z' = 62 		 // retirement age for men
scalar duchvekz_`z' = 58.6	 // retirement age for women


end
